from birder.net.alexnet import AlexNet
from birder.net.cait import CaiT
from birder.net.convmixer import ConvMixer
from birder.net.convnext_v1 import ConvNeXt_v1
from birder.net.convnext_v2 import ConvNeXt_v2
from birder.net.crossvit import CrossViT
from birder.net.deit import DeiT
from birder.net.deit3 import DeiT3
from birder.net.densenet import DenseNet
from birder.net.edgenext import EdgeNeXt
from birder.net.edgevit import EdgeViT
from birder.net.efficientformer_v1 import EfficientFormer_v1
from birder.net.efficientformer_v2 import EfficientFormer_v2
from birder.net.efficientnet_v1 import EfficientNet_v1
from birder.net.efficientnet_v2 import EfficientNet_v2
from birder.net.fastvit import FastViT
from birder.net.focalnet import FocalNet
from birder.net.ghostnet_v1 import GhostNet_v1
from birder.net.ghostnet_v2 import GhostNet_v2
from birder.net.inception_next import Inception_NeXt
from birder.net.inception_resnet_v2 import Inception_ResNet_v2
from birder.net.inception_v3 import Inception_v3
from birder.net.inception_v4 import Inception_v4
from birder.net.maxvit import MaxViT
from birder.net.metaformer import MetaFormer
from birder.net.mnasnet import MNASNet
from birder.net.mobilenet_v1 import MobileNet_v1
from birder.net.mobilenet_v2 import MobileNet_v2
from birder.net.mobilenet_v3_large import MobileNet_v3_Large
from birder.net.mobilenet_v3_small import MobileNet_v3_Small
from birder.net.mobilenet_v4 import MobileNet_v4
from birder.net.mobilenet_v4_hybrid import MobileNet_v4_Hybrid
from birder.net.mobileone import MobileOne
from birder.net.mobilevit_v1 import MobileViT_v1
from birder.net.mobilevit_v2 import MobileViT_v2
from birder.net.nextvit import NextViT
from birder.net.rdnet import RDNet
from birder.net.regnet import RegNet
from birder.net.repvgg import RepVgg
from birder.net.resnest import ResNeSt
from birder.net.resnet_v2 import ResNet_v2
from birder.net.resnext import ResNeXt
from birder.net.se_resnet_v2 import SE_ResNet_v2
from birder.net.se_resnext import SE_ResNeXt
from birder.net.sequencer2d import Sequencer2d
from birder.net.shufflenet_v1 import ShuffleNet_v1
from birder.net.shufflenet_v2 import ShuffleNet_v2
from birder.net.simple_vit import Simple_ViT
from birder.net.squeezenet import SqueezeNet
from birder.net.squeezenext import SqueezeNext
from birder.net.swin_transformer_v1 import Swin_Transformer_v1
from birder.net.swin_transformer_v2 import Swin_Transformer_v2
from birder.net.swin_transformer_v2_w2 import Swin_Transformer_v2_w2
from birder.net.uniformer import UniFormer
from birder.net.vgg import Vgg
from birder.net.vgg_reduced import Vgg_Reduced
from birder.net.vit import ViT
from birder.net.vitreg import ViTReg4
from birder.net.wide_resnet import Wide_ResNet
from birder.net.xception import Xception
from birder.net.xcit import XCiT

__all__ = [
    "AlexNet",
    "CaiT",
    "ConvMixer",
    "ConvNeXt_v1",
    "ConvNeXt_v2",
    "CrossViT",
    "DeiT",
    "DeiT3",
    "DenseNet",
    "EdgeNeXt",
    "EdgeViT",
    "EfficientFormer_v1",
    "EfficientFormer_v2",
    "EfficientNet_v1",
    "EfficientNet_v2",
    "FastViT",
    "FocalNet",
    "GhostNet_v1",
    "GhostNet_v2",
    "Inception_NeXt",
    "Inception_ResNet_v2",
    "Inception_v3",
    "Inception_v4",
    "MaxViT",
    "MetaFormer",
    "MNASNet",
    "MobileNet_v1",
    "MobileNet_v2",
    "MobileNet_v3_Large",
    "MobileNet_v3_Small",
    "MobileNet_v4",
    "MobileNet_v4_Hybrid",
    "MobileOne",
    "MobileViT_v1",
    "MobileViT_v2",
    "NextViT",
    "RDNet",
    "RegNet",
    "RepVgg",
    "ResNeSt",
    "ResNet_v2",
    "ResNeXt",
    "SE_ResNet_v2",
    "SE_ResNeXt",
    "Sequencer2d",
    "ShuffleNet_v1",
    "ShuffleNet_v2",
    "Simple_ViT",
    "SqueezeNet",
    "SqueezeNext",
    "Swin_Transformer_v1",
    "Swin_Transformer_v2",
    "Swin_Transformer_v2_w2",
    "UniFormer",
    "Vgg",
    "Vgg_Reduced",
    "ViT",
    "ViTReg4",
    "Wide_ResNet",
    "Xception",
    "XCiT",
]
